package com.hfkj.service;

import com.hfkj.entity.BsAgent;
import com.hfkj.entity.SecUser;

import java.util.List;
import java.util.Map;

/**
 * 代理商
 * @author hurui
 */
public interface BsAgentService {

    /**
     * 增加代理商
     * @param agent 代理商参数对象
     */
    void insertAgent(BsAgent agent, SecUser user);

    /**
     * 修改代理商
     * @param agent 代理商参数对象
     */
    void updateAgent(BsAgent agent);

    /**
     * 删除代理商
     * @param agentId 代理商id
     */
    void delAgent(Long agentId);

    /**
     * 查询代理商
     * @param agentId 代理商id
     * @return
     */
    BsAgent getAgent(Long agentId);

    /**
     * 查询代理商列表
     * @param param 参数
     * @return
     */
    List<BsAgent> listAgent(Map<String, Object> param);

}
